@echo off
CLS
color 1f
TITLE Checking for Admin...
echo.
cd %systemroot%\system32
call :IsAdmin

TITLE Verbose Startup/Shutdown information.
cls
color 1f
echo.
echo Modifying registry keys...
echo.
echo Windows will tell you exactly what it is doing when it is shutting down or is booting...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\policies\system" /v "VerboseStatus" /t REG_DWORD /d "1" /f >nul 2>&1
echo.
echo Finished updating the registry...
echo.
echo Done.
echo.
Pause
exit

=====================================================================================
:IsAdmin
Reg query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls & echo. & Echo You must have administrator rights to continue ... & echo.
 Pause & Exit
)
Cls

exit /b